{ config, lib, ... }:
{
  config = lib.mkIf config.home.desktop.enable {
    services = {
      mpd = {
        enable = true;
        network.startWhenNeeded = true;
        musicDirectory = "${config.xdg.userDirs.extraConfig.XDG_NETWORK_DIR}/Midas/Music/NixBops";
        playlistDirectory = "${config.services.mpd.musicDirectory}/Playlists";
        extraConfig = ''
          audio_output {
            type "pipewire"
            name "Local Pipewire"
          }
        '';
      };
      mpd-mpris.enable = true;
      mpd-discord-rpc.enable = true;
    };

    home.persistence."${config.xdg.userDirs.extraConfig.XDG_PERSIST_DIR}".directories =
      with lib; with config.home; with config.xdg;
      [ "state/${removePrefix "${homeDirectory}/" dataHome}/mpd" ];
  };
}
